Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transaction-routes
List Transaction Routes
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transaction-routes \
  --header 'Authorization: Bearer <token>'
{ "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "description": "<string>", "operationRoutes": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "code": "<string>", "description": "<string>", "accountingEntries": { "direct": { "debit": { "code": "<string>", "description": "<string>" }, "credit": { "code": "<string>", "description": "<string>" } }, "hold": { "debit": { "code": "<string>", "description": "<string>" }, "credit": { "code": "<string>", "description": "<string>" } }, "commit": { "debit": { "code": "<string>", "description": "<string>" }, "credit": { "code": "<string>", "description": "<string>" } }, "cancel": { "debit": { "code": "<string>", "description": "<string>" }, "credit": { "code": "<string>", "description": "<string>" } }, "revert": { "debit": { "code": "<string>", "description": "<string>" }, "credit": { "code": "<string>", "description": "<string>" } }, "overdraft": { "debit": { "code": "<string>", "description": "<string>" }, "credit": { "code": "<string>", "description": "<string>" } } }, "account": { "validIf": [ [ "current_asset", "payment_account" ] ] }, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "metadata": {} } ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "metadata": {} } ], "next_cursor": "<string>", "prev_cursor": "<string>", "limit": 123 }

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

Path Parameters

organization_id
string
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
required

The unique identifier of the associated Ledger.

Query Parameters

limit
string

The maximum number of items to include in the response.

start_date
string

The beginning of the period you want to retrieve. You must also include the end_date.

end_date
string

The end of the period you want to retrieve. You must also include the start_date.

sort_order
enum<enum>

The order used to sort the results.

Available options:
asc,
desc
cursor
string

An encoded cursor token from a previous response (next_cursor or prev_cursor) to navigate forward or backward through results.

metadata.key
string

Filter by metadata using dot-notation. Replace key with your metadata field name (e.g. metadata.costCenter=BR_11101997).

Response

Indicates that the resource was successfully created and the operation was completed as expected.

items
object[]
next_cursor
string

Encoded cursor pointing to the next page of results.

prev_cursor
string

Encoded cursor pointing to the previous page of results.

limit
integer

The maximum number of items included in the response.